Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/src/y.tab.h
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/src/y.tab.h	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/src/y.tab.h	(revision 2696)
@@ -0,0 +1,159 @@
+/* A Bison parser, made by GNU Bison 2.7.  */
+
+/* Bison interface for Yacc-like parsers in C
+   
+      Copyright (C) 1984, 1989-1990, 2000-2012 Free Software Foundation, Inc.
+   
+   This program is free software: you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation, either version 3 of the License, or
+   (at your option) any later version.
+   
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+   
+   You should have received a copy of the GNU General Public License
+   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
+
+/* As a special exception, you may create a larger work that contains
+   part or all of the Bison parser skeleton and distribute that work
+   under terms of your choice, so long as that work isn't itself a
+   parser generator using the skeleton or a modified version thereof
+   as a parser skeleton.  Alternatively, if you modify or redistribute
+   the parser skeleton itself, you may (at your option) remove this
+   special exception, which will cause the skeleton and the resulting
+   Bison output files to be licensed under the GNU General Public
+   License without this special exception.
+   
+   This special exception was added by the Free Software Foundation in
+   version 2.2 of Bison.  */
+
+#ifndef YY_YY_Y_TAB_H_INCLUDED
+# define YY_YY_Y_TAB_H_INCLUDED
+/* Enabling traces.  */
+#ifndef YYDEBUG
+# define YYDEBUG 0
+#endif
+#if YYDEBUG
+extern int yydebug;
+#endif
+
+/* Tokens.  */
+#ifndef YYTOKENTYPE
+# define YYTOKENTYPE
+   /* Put the tokens into the symbol table, so that GDB and other debuggers
+      know about them.  */
+   enum yytokentype {
+     JACOBIAN = 258,
+     DOUBLE = 259,
+     FUNCTION = 260,
+     DEFVAR = 261,
+     DEFRAD = 262,
+     DEFFIX = 263,
+     SETVAR = 264,
+     SETRAD = 265,
+     SETFIX = 266,
+     HESSIAN = 267,
+     STOICMAT = 268,
+     STOCHASTIC = 269,
+     DECLARE = 270,
+     INITVALUES = 271,
+     EQUATIONS = 272,
+     LUMP = 273,
+     INIEQUAL = 274,
+     EQNEQUAL = 275,
+     EQNCOLON = 276,
+     LMPCOLON = 277,
+     LMPPLUS = 278,
+     SPCPLUS = 279,
+     SPCEQUAL = 280,
+     ATOMDECL = 281,
+     CHECK = 282,
+     CHECKALL = 283,
+     REORDER = 284,
+     MEX = 285,
+     DUMMYINDEX = 286,
+     EQNTAGS = 287,
+     LOOKAT = 288,
+     LOOKATALL = 289,
+     TRANSPORT = 290,
+     TRANSPORTALL = 291,
+     MONITOR = 292,
+     USES = 293,
+     SPARSEDATA = 294,
+     WRITE_ATM = 295,
+     WRITE_SPC = 296,
+     WRITE_MAT = 297,
+     WRITE_OPT = 298,
+     INITIALIZE = 299,
+     XGRID = 300,
+     YGRID = 301,
+     ZGRID = 302,
+     USE = 303,
+     LANGUAGE = 304,
+     INTFILE = 305,
+     DRIVER = 306,
+     RUN = 307,
+     INLINE = 308,
+     ENDINLINE = 309,
+     PARAMETER = 310,
+     SPCSPC = 311,
+     INISPC = 312,
+     INIVALUE = 313,
+     EQNSPC = 314,
+     EQNSIGN = 315,
+     EQNCOEF = 316,
+     RATE = 317,
+     LMPSPC = 318,
+     SPCNR = 319,
+     ATOMID = 320,
+     LKTID = 321,
+     MNIID = 322,
+     INLCTX = 323,
+     INCODE = 324,
+     SSPID = 325,
+     EQNLESS = 326,
+     EQNTAG = 327,
+     EQNGREATER = 328,
+     TPTID = 329,
+     USEID = 330
+   };
+#endif
+
+
+#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
+typedef union YYSTYPE
+{
+/* Line 2058 of yacc.c  */
+#line 72 "scan.y"
+
+  char str[80];
+
+
+/* Line 2058 of yacc.c  */
+#line 137 "y.tab.h"
+} YYSTYPE;
+# define YYSTYPE_IS_TRIVIAL 1
+# define yystype YYSTYPE /* obsolescent; will be withdrawn */
+# define YYSTYPE_IS_DECLARED 1
+#endif
+
+extern YYSTYPE yylval;
+
+#ifdef YYPARSE_PARAM
+#if defined __STDC__ || defined __cplusplus
+int yyparse (void *YYPARSE_PARAM);
+#else
+int yyparse ();
+#endif
+#else /* ! YYPARSE_PARAM */
+#if defined __STDC__ || defined __cplusplus
+int yyparse (void);
+#else
+int yyparse ();
+#endif
+#endif /* ! YYPARSE_PARAM */
+
+#endif /* !YY_YY_Y_TAB_H_INCLUDED  */
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.c
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.c	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.c	(revision 2696)
@@ -0,0 +1,103 @@
+# Set here the desired C compiler and its optimization options
+CC   = gcc
+COPT = -O -Wall  
+
+# To create Matlab gateway routines
+# Note: use $(CC) as the mex C compiler
+MEX  = mex
+
+HEADERS = KPP_ROOT_Global.h  KPP_ROOT_Parameters.h  KPP_ROOT_Sparse.h
+
+SPSRC = KPP_ROOT_JacobianSP.c \
+	KPP_ROOT_HessianSP.c  \
+	KPP_ROOT_StoichiomSP.c
+
+SPOBJ = KPP_ROOT_JacobianSP.o \
+	KPP_ROOT_HessianSP.o  \
+	KPP_ROOT_StoichiomSP.o
+
+
+SRC =   KPP_ROOT_Main.c      KPP_ROOT_Integrator.c   \
+	KPP_ROOT_Function.c  KPP_ROOT_Initialize.c   \
+	KPP_ROOT_Jacobian.c  KPP_ROOT_LinearAlgebra.c\
+	KPP_ROOT_Rates.c     KPP_ROOT_Hessian.c      \
+	KPP_ROOT_Stoichiom.c KPP_ROOT_Util.c         \
+	KPP_ROOT_Monitor.c
+
+OBJ =   KPP_ROOT_Main.o      KPP_ROOT_Integrator.o   \
+	KPP_ROOT_Function.o  KPP_ROOT_Initialize.o   \
+	KPP_ROOT_Jacobian.o  KPP_ROOT_LinearAlgebra.o\
+	KPP_ROOT_Rates.o     KPP_ROOT_Hessian.o      \
+	KPP_ROOT_Stoichiom.o KPP_ROOT_Util.o         \
+	KPP_ROOT_Monitor.o
+
+STOCHSRC = KPP_ROOT_Stochastic.c 
+STOCHOBJ = KPP_ROOT_Stochastic.o 
+
+all:    exe
+
+exe:	$(HEADERS) $(SPOBJ) $(OBJ)
+	$(CC) $(COPT) $(SPOBJ) $(OBJ) -lm -o KPP_ROOT.exe	
+
+stochastic:$(HEADERS) $(SPOBJ) $(OBJ) $(STOCHOBJ)
+	$(CC) $(COPT) $(SPOBJ) $(OBJ) $(STOCHOBJ) -lm \
+	-o KPP_ROOT_stochastic.exe	
+
+mex:    $(HEADERS) $(SPOBJ) $(OBJ)
+	$(MEX) CC#$(CC) -O KPP_ROOT_mex_Fun.c     -lm $(SPOBJ) $(OBJ)
+	$(MEX) CC#$(CC) -O KPP_ROOT_mex_Jac_SP.c  -lm $(SPOBJ) $(OBJ)
+	$(MEX) CC#$(CC) -O KPP_ROOT_mex_Hessian.c -lm $(SPOBJ) $(OBJ)
+
+
+clean:
+	rm -f $(SPOBJ) $(OBJ) KPP_ROOT.exe KPP_ROOT_*.mexglx KPP_ROOT*.dat
+
+distclean:
+	rm -f $(SPOBJ) $(OBJ) KPP_ROOT.exe KPP_ROOT*.dat \
+	KPP_ROOT_*.c KPP_ROOT_*.h KPP_ROOT_*.map KPP_ROOT_*.mexglx
+
+KPP_ROOT_Monitor.o: KPP_ROOT_Monitor.c $(HEADERS)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_JacobianSP.o: KPP_ROOT_JacobianSP.c $(HEADERS)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_HessianSP.o: KPP_ROOT_HessianSP.c  $(HEADERS)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_StoichiomSP.o: KPP_ROOT_StoichiomSP.c $(HEADERS)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Main.o: KPP_ROOT_Main.c KPP_ROOT_Initialize.o $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Integrator.o: KPP_ROOT_Integrator.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Initialize.o: KPP_ROOT_Initialize.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Function.o: KPP_ROOT_Function.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Stochastic.o: KPP_ROOT_Stochastic.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Jacobian.o: KPP_ROOT_Jacobian.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_LinearAlgebra.o: KPP_ROOT_LinearAlgebra.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Rates.o: KPP_ROOT_Rates.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Hessian.o:  KPP_ROOT_Hessian.c $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Stoichiom.o: KPP_ROOT_Stoichiom.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
+KPP_ROOT_Util.o: KPP_ROOT_Util.c  $(HEADERS) $(SPOBJ)
+	$(CC) $(COPT) -c $<
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.f
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.f	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.f	(revision 2696)
@@ -0,0 +1,109 @@
+# Set here the Fortran77 compiler and the desired optimization options
+COMPILER = GNU
+
+FC_INTEL   = ifort
+FOPT_INTEL = -O -f77rtl -mp -pc80 -prec_div -tpp7
+FC_PGF     = pgf77
+FOPT_PGF   = -O -fast -pc 80 -Kieee
+FC_GNU     = g77
+FOPT_GNU   = -O -Wall -Wimplicit -ffast-math -funroll-loops \
+	         -malign-double -ffortran-bounds-check
+FC_HPUX    = f90
+FOPT_HPUX  = -O
+
+FC   = $(FC_$(COMPILER))
+FOPT = $(FOPT_$(COMPILER)) 
+
+# Mathematical libraries: blas and lapack
+# MATHLIB   = -L/usr/local/lib  -llapack_g77  -L/usr/lib -lblas_g77
+MATHLIB   = -llapack  -lblas 
+
+# To create Matlab mex gateway routines
+# Note: use $(FC) as the mex Fortran compiler
+MEX  = mex
+
+HEADERS = KPP_ROOT_Global.h  KPP_ROOT_Parameters.h  KPP_ROOT_Sparse.h
+
+SPSRC = KPP_ROOT_JacobianSP.f \
+	KPP_ROOT_HessianSP.f  \
+	KPP_ROOT_StoichiomSP.f
+
+SPOBJ = KPP_ROOT_JacobianSP.o \
+	KPP_ROOT_HessianSP.o  \
+	KPP_ROOT_StoichiomSP.o
+
+
+SRC =   KPP_ROOT_Main.f      KPP_ROOT_Integrator.f   \
+        KPP_ROOT_Function.f  KPP_ROOT_Initialize.f   \
+	KPP_ROOT_Jacobian.f  KPP_ROOT_LinearAlgebra.f\
+	KPP_ROOT_Rates.f     KPP_ROOT_Hessian.f      \
+	KPP_ROOT_Stoichiom.f KPP_ROOT_Util.f         \
+	KPP_ROOT_Monitor.f   
+
+OBJ =   KPP_ROOT_Main.o      KPP_ROOT_Integrator.o   \
+        KPP_ROOT_Function.o  KPP_ROOT_Initialize.o   \
+	KPP_ROOT_Jacobian.o  KPP_ROOT_LinearAlgebra.o\
+	KPP_ROOT_Rates.o     KPP_ROOT_Hessian.o      \
+	KPP_ROOT_Stoichiom.o KPP_ROOT_Util.o         \
+	KPP_ROOT_Monitor.o
+
+all:    exe mex
+
+exe:	$(HEADERS) $(SPOBJ) $(OBJ)
+	$(FC) $(FOPT) $(SPOBJ) $(OBJ) $(MATHLIB) -o KPP_ROOT.exe
+
+mex:    $(HEADERS) $(SPOBJ) $(OBJ)
+	$(MEX) FC#$(FC) -fortran -O KPP_ROOT_mex_Fun.f     $(SPOBJ) $(OBJ)
+	$(MEX) FC#$(FC) -fortran -O KPP_ROOT_mex_Jac_SP.f  $(SPOBJ) $(OBJ)
+	$(MEX) FC#$(FC) -fortran -O KPP_ROOT_mex_Hessian.f $(SPOBJ) $(OBJ)
+	
+clean:
+	rm -f $(SPOBJ) $(OBJ) KPP_ROOT.exe KPP_ROOT.map  \
+	KPP_ROOT.dat 
+
+distclean:
+	rm -f $(SPOBJ) $(OBJ) KPP_ROOT.exe KPP_ROOT.map  \
+	KPP_ROOT.dat KPP_ROOT*.f  KPP_ROOT*.h 
+
+KPP_ROOT_Monitor.o: KPP_ROOT_Monitor.f $(HEADERS)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_JacobianSP.o: KPP_ROOT_JacobianSP.f $(HEADERS)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_HessianSP.o: KPP_ROOT_HessianSP.f  $(HEADERS)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_StoichiomSP.o: KPP_ROOT_StoichiomSP.f $(HEADERS)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Main.o: KPP_ROOT_Main.f  KPP_ROOT_Initialize.o $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Integrator.o: KPP_ROOT_Integrator.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Initialize.o: KPP_ROOT_Initialize.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Function.o: KPP_ROOT_Function.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Jacobian.o: KPP_ROOT_Jacobian.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_LinearAlgebra.o: KPP_ROOT_LinearAlgebra.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Rates.o: KPP_ROOT_Rates.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Hessian.o:  KPP_ROOT_Hessian.f $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Stoichiom.o: KPP_ROOT_Stoichiom.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Util.o: KPP_ROOT_Util.f  $(HEADERS) $(SPOBJ)
+	$(FC) $(FOPT) -c $<
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.f90	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Makefile.f90	(revision 2696)
@@ -0,0 +1,178 @@
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# User: Set here the F90 compiler and options
+#       Pedefined compilers: INTEL, PGF, HPUX, LAHEY
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+#COMPILER = G95
+#COMPILER = LAHEY
+COMPILER = INTEL
+#COMPILER = PGF
+#COMPILER = HPUX
+#COMPILER = GFORTRAN
+
+FC_G95     = g95
+FOPT_G95   = -cpp -O -pg -fbounds-check -fimplicit-none  -Wall -ftrace=full
+
+FC_LAHEY   = lf95
+# More aggressive for production runs:
+#FOPT_LAHEY = -Cpp --pca -O
+# More checking for debugging:
+FOPT_LAHEY = -Cpp --chk a,e,s,u --pca --ap -O0 -g --trap --trace --chkglobal
+
+FC_INTEL   = ifort 
+# More aggressive for production runs:
+#FOPT_INTEL = -cpp -O -fp-model precise -pc80 -prec_div
+# More checking for debugging:
+FOPT_INTEL = -cpp -O0 -fp-model strict -implicitnone -ftrapuv \
+              -debug all -check all -warn all
+
+FC_PGF     = pgf90
+# More aggressive for production runs:
+FOPT_PGF   = -Mpreprocess -O -fast -pc 80 -Kieee
+# More checking for debugging:
+#FOPT_PGF   = -Mpreprocess -O0 -Mbounds -Mchkfpstk -Mchkptr -Mchkstk \
+#             -Ktrap=fp -pc 80 -Kieee
+
+FC_HPUX    = f90
+FOPT_HPUX  = -O -u +Oall +check=on
+
+FC_GFORTRAN     = gfortran
+FOPT_GFORTRAN   = -cpp -O
+
+# define FULL_ALGEBRA for non-sparse integration
+FC   = $(FC_$(COMPILER))
+FOPT = $(FOPT_$(COMPILER)) # -DFULL_ALGEBRA
+
+LIBS =
+#LIBS = -llapack -lblas
+
+# Command to create Matlab mex gateway routines 
+# Note: use $(FC) as the mex Fortran compiler
+MEX  = mex
+
+GENSRC = KPP_ROOT_Precision.f90  \
+	 KPP_ROOT_Parameters.f90     \
+	 KPP_ROOT_Global.f90  
+
+GENOBJ = KPP_ROOT_Precision.o    \
+	 KPP_ROOT_Parameters.o       \
+	 KPP_ROOT_Global.o     
+
+FUNSRC = KPP_ROOT_Function.f90 
+FUNOBJ = KPP_ROOT_Function.o 
+
+JACSRC = KPP_ROOT_JacobianSP.f90  KPP_ROOT_Jacobian.f90
+JACOBJ = KPP_ROOT_JacobianSP.o    KPP_ROOT_Jacobian.o
+
+HESSRC = KPP_ROOT_HessianSP.f90   KPP_ROOT_Hessian.f90
+HESOBJ = KPP_ROOT_HessianSP.o     KPP_ROOT_Hessian.o
+
+STMSRC = KPP_ROOT_StoichiomSP.f90 KPP_ROOT_Stoichiom.f90 
+STMOBJ = KPP_ROOT_StoichiomSP.o   KPP_ROOT_Stoichiom.o
+
+UTLSRC = KPP_ROOT_Rates.f90 KPP_ROOT_Util.f90 KPP_ROOT_Monitor.f90
+UTLOBJ = KPP_ROOT_Rates.o   KPP_ROOT_Util.o   KPP_ROOT_Monitor.o
+
+LASRC  = KPP_ROOT_LinearAlgebra.f90 
+LAOBJ  = KPP_ROOT_LinearAlgebra.o   
+
+STOCHSRC = KPP_ROOT_Stochastic.f90 
+STOCHOBJ = KPP_ROOT_Stochastic.o 
+
+MAINSRC = KPP_ROOT_Main.f90   KPP_ROOT_Initialize.f90   KPP_ROOT_Integrator.f90 KPP_ROOT_Model.f90
+MAINOBJ = KPP_ROOT_Main.o     KPP_ROOT_Initialize.o     KPP_ROOT_Integrator.o   KPP_ROOT_Model.o 
+
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# User: modify the line below to include only the
+#       objects needed by your application
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ALLOBJ = $(GENOBJ) $(FUNOBJ) $(JACOBJ) $(HESOBJ) $(STMOBJ) \
+	 $(UTLOBJ) $(LAOBJ)
+
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# User: modify the line below to include only the
+#       executables needed by your application
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+all:    exe
+
+exe:	$(ALLOBJ) $(MAINOBJ) 
+	$(FC) $(FOPT) $(ALLOBJ) $(MAINOBJ) $(LIBS) -o KPP_ROOT.exe
+
+stochastic:$(ALLOBJ) $(STOCHOBJ) $(MAINOBJ)
+	$(FC) $(FOPT) $(ALLOBJ) $(STOCHOBJ) $(MAINOBJ) $(LIBS) \
+	-o KPP_ROOT_stochastic.exe
+
+mex:    $(ALLOBJ)
+	$(MEX) FC#$(FC) -fortran -O KPP_ROOT_mex_Fun.f90     $(ALLOBJ)
+	$(MEX) FC#$(FC) -fortran -O KPP_ROOT_mex_Jac_SP.f90  $(ALLOBJ)
+	$(MEX) FC#$(FC) -fortran -O KPP_ROOT_mex_Hessian.f90 $(ALLOBJ)
+
+clean:
+	rm -f KPP_ROOT*.o KPP_ROOT*.mod \
+	KPP_ROOT*.dat KPP_ROOT.exe KPP_ROOT*.mexglx \
+	KPP_ROOT.map
+
+distclean:
+	rm -f KPP_ROOT*.o KPP_ROOT*.mod \
+	KPP_ROOT*.dat KPP_ROOT.exe KPP_ROOT.map \
+	KPP_ROOT*.f90 KPP_ROOT_*.mexglx
+
+KPP_ROOT_Precision.o: KPP_ROOT_Precision.f90 
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Parameters.o: KPP_ROOT_Parameters.f90 \
+	            KPP_ROOT_Precision.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Monitor.o: KPP_ROOT_Monitor.f90 \
+	             KPP_ROOT_Precision.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Global.o: KPP_ROOT_Global.f90 \
+	            KPP_ROOT_Parameters.o KPP_ROOT_Precision.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Initialize.o: KPP_ROOT_Initialize.f90  $(GENOBJ) 
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Function.o: KPP_ROOT_Function.f90  $(GENOBJ) 
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Stochastic.o: KPP_ROOT_Stochastic.f90  $(GENOBJ) 
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_JacobianSP.o: KPP_ROOT_JacobianSP.f90 $(GENOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Jacobian.o: KPP_ROOT_Jacobian.f90  $(GENOBJ) KPP_ROOT_JacobianSP.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_LinearAlgebra.o: KPP_ROOT_LinearAlgebra.f90 $(GENOBJ) KPP_ROOT_JacobianSP.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Rates.o: KPP_ROOT_Rates.f90  $(GENOBJ) 
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_HessianSP.o: KPP_ROOT_HessianSP.f90  $(GENOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Hessian.o:  KPP_ROOT_Hessian.f90 $(GENOBJ) KPP_ROOT_HessianSP.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_StoichiomSP.o: KPP_ROOT_StoichiomSP.f90 $(GENOBJ)
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Stoichiom.o: KPP_ROOT_Stoichiom.f90  $(GENOBJ) KPP_ROOT_StoichiomSP.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Util.o: KPP_ROOT_Util.f90  $(GENOBJ) KPP_ROOT_Monitor.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Main.o: KPP_ROOT_Main.f90  $(ALLOBJ) KPP_ROOT_Initialize.o KPP_ROOT_Model.o KPP_ROOT_Integrator.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Model.o: KPP_ROOT_Model.f90  $(ALLOBJ) KPP_ROOT_Integrator.o
+	$(FC) $(FOPT) -c $<
+
+KPP_ROOT_Integrator.o: KPP_ROOT_Integrator.f90  $(ALLOBJ)
+	$(FC) $(FOPT) -c $<
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.c
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.c	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.c	(revision 2696)
@@ -0,0 +1,52 @@
+/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
+Matlab Gateway for the Derivative Function Fun 
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
+
+#include "mex.h"
+#define min( x, y ) (x) < (y) ? (x) : (y)
+#define max( x, y ) (x) > (y) ? (x) : (y)
+
+void mexFunction( int nlhs, mxArray *plhs[], 
+                     int nrhs, const mxArray *prhs[] )
+{
+ int mrows, mcols;
+ KPP_REAL *V, *F, *RCT, *Vdot;
+
+/* Check for the right number and size of input arguments */
+ if ( nrhs != 3 ) {
+   mexErrMsgTxt("KPP_ROOT_Fun requires 3 input vectors: V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)");
+ }
+ mrows =  mxGetM(prhs[0]); mcols = mxGetN(prhs[0]);
+ if ( ( mrows != KPP_NVAR )||( mcols != 1 ) ) {
+   mexPrintf("First KPP_ROOT_Fun input argument is of size V(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("First KPP_ROOT_Fun input argument should be a column vector V(KPP_NVAR,1)");
+ }
+ mrows =  mxGetM(prhs[1]); mcols = mxGetN(prhs[1]);
+ if ( ( mrows != KPP_NFIX )||( mcols != 1 ) ) {
+   mexPrintf("Second KPP_ROOT_Fun input argument is of size F(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("Second KPP_ROOT_Fun input argument should be a column vector F(KPP_NFIX,1)");
+ }
+ mrows =  mxGetM(prhs[2]); mcols = mxGetN(prhs[2]);
+ if ( (  mrows != KPP_NREACT )||( mcols != 1 ) ) {
+   mexPrintf("Third KPP_ROOT_Fun input argument is of size RCT(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("Third KPP_ROOT_Fun input argument should be a column vector RCT(KPP_NREACT,1)");
+ }
+ 
+/* Check for the right number of output arguments */
+ if ( nlhs != 1 ) {
+   mexErrMsgTxt("KPP_ROOT_Fun requires 1 output column vector: Vdot(KPP_NVAR)");
+ }
+
+ V   = mxGetPr(prhs[0]);
+ F   = mxGetPr(prhs[1]);
+ RCT = mxGetPr(prhs[2]);
+
+ plhs[0] = mxCreateDoubleMatrix(KPP_NVAR,1,mxREAL);
+ Vdot = mxGetPr(plhs[0]);
+
+ Fun( V, F, RCT, Vdot );
+
+}
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.f
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.f	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.f	(revision 2696)
@@ -0,0 +1,44 @@
+
+C~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+      SUBROUTINE mexFunction( nlhs, plhs, nrhs, prhs )
+C~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+C             Matlab Gateway for the Derivative Function Fun
+C~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+      INTEGER nlhs, nrhs
+      INTEGER plhs(*), prhs(*)
+      INTEGER mxGetPr, mxCreateFull, mxGetM, mxgetN
+      INTEGER VPtr, FPtr, RPtr, VdotPtr
+      KPP_REAL V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)
+      KPP_REAL Vdot(KPP_NVAR)
+
+C Check for the right number of input arguments
+      IF ( nrhs .ne. 3 ) THEN
+         CALL mexErrMsgTxt('Fun requires 3 input vectors: 
+     &V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)')
+      END IF 
+C Check for the right number of output arguments
+      IF ( nlhs .ne. 1 ) THEN
+         CALL mexErrMsgTxt('Fun requires 1 output vector: 
+     &Vdot(KPP_NVAR)')
+      END IF 
+
+      plhs(1) = mxCreateDoubleMatrix(KPP_NVAR,1,0)
+
+      VPtr = mxGetPr(prhs(1))
+      CALL mxCopyPtrToReal8(VPtr,V,KPP_NVAR)
+      
+      FPtr = mxGetPr(prhs(2))
+      CALL mxCopyPtrToReal8(FPtr,F,KPP_NFIX)
+      
+      RPtr = mxGetPr(prhs(3))
+      CALL mxCopyPtrToReal8(RPtr,RCT,KPP_NREACT)
+
+      VdotPtr = mxGetPr(plhs(1))
+
+      CALL Fun( V, F, RCT, Vdot )
+
+      CALL mxCopyReal8ToPtr(Vdot, VdotPtr, KPP_NVAR)
+
+      RETURN 
+      END
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.f90	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Fun.f90	(revision 2696)
@@ -0,0 +1,45 @@
+
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ SUBROUTINE mexFunction( nlhs, plhs, nrhs, prhs )
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+!                 Matlab Gateway for the Derivative Function Fun
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+ USE KPP_ROOT_Model
+
+      INTEGER nlhs, nrhs
+      INTEGER plhs(*), prhs(*)
+      INTEGER mxGetPr, mxCreateFull, mxGetM, mxgetN
+      INTEGER VPtr, FPtr, RPtr, VdotPtr
+      KPP_REAL V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)
+      KPP_REAL Vdot(KPP_NVAR)
+
+! Check for the right number of input arguments
+      IF ( nrhs .ne. 3 ) THEN
+         CALL mexErrMsgTxt('Fun requires 3 input vectors: &
+     &V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)')
+      END IF 
+! Check for the right number of output arguments
+      IF ( nlhs .ne. 1 ) THEN
+         CALL mexErrMsgTxt('Fun requires 1 output vector: &
+     &Vdot(KPP_NVAR)')
+      END IF 
+
+      plhs(1) = mxCreateDoubleMatrix(KPP_NVAR,1,0)
+
+      VPtr = mxGetPr(prhs(1))
+      CALL mxCopyPtrToReal8(VPtr,V,KPP_NVAR)
+      
+      FPtr = mxGetPr(prhs(2))
+      CALL mxCopyPtrToReal8(FPtr,F,KPP_NFIX)
+      
+      RPtr = mxGetPr(prhs(3))
+      CALL mxCopyPtrToReal8(RPtr,RCT,KPP_NREACT)
+
+      VdotPtr = mxGetPr(plhs(1))
+
+      CALL Fun( V, F, RCT, Vdot )
+
+      CALL mxCopyReal8ToPtr(Vdot, VdotPtr, KPP_NVAR)
+
+ END SUBROUTINE mexFunction
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.c
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.c	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.c	(revision 2696)
@@ -0,0 +1,54 @@
+/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
+                   Matlab Gateway for the Hessian 
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
+
+#include "mex.h"
+#define min( x, y ) (x) < (y) ? (x) : (y)
+#define max( x, y ) (x) > (y) ? (x) : (y)
+
+void mexFunction( int nlhs, mxArray *plhs[], 
+                     int nrhs, const mxArray *prhs[] )
+{
+ int mrows, mcols;
+ KPP_REAL *V, *F, *RCT, *HESS;
+
+
+/* Check for the right number and size of input arguments */
+ if ( nrhs != 3 ) {
+   mexErrMsgTxt("KPP_ROOT_Hessian requires 3 input vectors: V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)");
+ }
+ mrows =  mxGetM(prhs[0]); mcols = mxGetN(prhs[0]);
+ if ( ( mrows != KPP_NVAR )||( mcols != 1 ) ) {
+   mexPrintf("First KPP_ROOT_Hessian input argument is of size V(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("First KPP_ROOT_Hessian input argument should be a column vector V(KPP_NVAR,1)");
+ }
+ mrows =  mxGetM(prhs[1]); mcols = mxGetN(prhs[1]);
+ if ( ( mrows != KPP_NFIX )||( mcols != 1 ) ) {
+   mexPrintf("Second KPP_ROOT_Hessian input argument is of size F(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("Second KPP_ROOT_Hessian input argument should be a column vector F(KPP_NFIX,1)");
+ }
+ mrows =  mxGetM(prhs[2]); mcols = mxGetN(prhs[2]);
+ if ( (  mrows != KPP_NREACT )||( mcols != 1 ) ) {
+   mexPrintf("Third KPP_ROOT_Hessian input argument is of size RCT(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("Third KPP_ROOT_Hessian input argument should be a column vector RCT(KPP_NREACT,1)");
+ }
+ 
+/* Check for the right number of output arguments */
+ if ( nlhs != 1 ) {
+   mexErrMsgTxt("KPP_ROOT_Hessian requires 1 output column vector: HESS(KPP_NHESS)");
+ }
+
+
+ V   = mxGetPr(prhs[0]);
+ F   = mxGetPr(prhs[1]);
+ RCT = mxGetPr(prhs[2]);
+
+ plhs[0] = mxCreateDoubleMatrix(KPP_NHESS,1,mxREAL);
+ HESS = mxGetPr(plhs[0]);
+
+ Hessian( V, F, RCT, HESS );
+
+}
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.f
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.f	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.f	(revision 2696)
@@ -0,0 +1,43 @@
+C~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+      SUBROUTINE mexFunction( nlhs, plhs, nrhs, prhs )
+C~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+C                      Matlab Gateway for the Sparse Hessian
+C~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+      INTEGER nlhs, nrhs
+      INTEGER plhs(*), prhs(*)
+      INTEGER mxGetPr, mxCreateFull, mxGetM, mxgetN
+      INTEGER VPtr, FPtr, RPtr, HESSPtr
+      KPP_REAL V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)
+      KPP_REAL HESS(KPP_NHESS)
+
+C Check for the right number of input arguments
+      IF ( nrhs .ne. 3 ) THEN
+         CALL mexErrMsgTxt('Hessian requires 3 input vectors: 
+     &V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)')
+      END IF 
+C Check for the right number of output arguments
+      IF ( nlhs .ne. 1 ) THEN
+         CALL mexErrMsgTxt('Hessian requires 1 output vector: 
+     &HESS(KPP_NHESS)')
+      END IF 
+
+      plhs(1) = mxCreateDoubleMatrix(KPP_NHESS,1,0)
+
+      VPtr = mxGetPr(prhs(1))
+      CALL mxCopyPtrToReal8(VPtr,V,KPP_NVAR)
+      
+      FPtr = mxGetPr(prhs(2))
+      CALL mxCopyPtrToReal8(FPtr,F,KPP_NFIX)
+      
+      RPtr = mxGetPr(prhs(3))
+      CALL mxCopyPtrToReal8(RPtr,RCT,KPP_NREACT)
+
+      HESSPtr = mxGetPr(plhs(1))
+
+      CALL Hessian( V, F, RCT, HESS )
+
+      CALL mxCopyReal8ToPtr(HESS, HESSPtr, KPP_NHESS)
+
+      RETURN 
+      END
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.f90	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Hessian.f90	(revision 2696)
@@ -0,0 +1,45 @@
+
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ SUBROUTINE mexFunction( nlhs, plhs, nrhs, prhs )
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+!                  Matlab Gateway for the Function Hessian
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+ USE KPP_ROOT_Model
+
+      INTEGER nlhs, nrhs
+      INTEGER plhs(*), prhs(*)
+      INTEGER mxGetPr, mxCreateFull, mxGetM, mxgetN
+      INTEGER VPtr, FPtr, RPtr, HESSPtr
+      KPP_REAL V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)
+      KPP_REAL HESS(KPP_NHESS)
+
+! Check for the right number of input arguments
+      IF ( nrhs .ne. 3 ) THEN
+         CALL mexErrMsgTxt('Hessian requires 3 input vectors: &
+     &V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)')
+      END IF 
+! Check for the right number of output arguments
+      IF ( nlhs .ne. 1 ) THEN
+         CALL mexErrMsgTxt('Hessian requires 1 output vector: &
+     &HESS(KPP_NHESS)')
+      END IF 
+
+      plhs(1) = mxCreateDoubleMatrix(KPP_NHESS,1,0)
+
+      VPtr = mxGetPr(prhs(1));
+      CALL mxCopyPtrToReal8(VPtr,V,KPP_NVAR)
+      
+      FPtr = mxGetPr(prhs(2));
+      CALL mxCopyPtrToReal8(FPtr,F,KPP_NFIX)
+      
+      RPtr = mxGetPr(prhs(3));
+      CALL mxCopyPtrToReal8(RPtr,RCT,KPP_NREACT)
+
+      HESSPtr = mxGetPr(plhs(1))
+
+      CALL Hessian( V, F, RCT, HESS )
+
+      CALL mxCopyReal8ToPtr(HESS, HESSPtr, KPP_NHESS)
+
+ END SUBROUTINE mexFunction
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Jac_SP.c
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Jac_SP.c	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/util/Mex_Jac_SP.c	(revision 2696)
@@ -0,0 +1,53 @@
+/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
+            Matlab Gateway for the Jacobian Jac_SP 
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
+
+#include "mex.h"
+#define min( x, y ) (x) < (y) ? (x) : (y)
+#define max( x, y ) (x) > (y) ? (x) : (y)
+
+void mexFunction( int nlhs, mxArray *plhs[], 
+                int nrhs, const mxArray *prhs[] )
+{
+ int mrows, mcols;
+ KPP_REAL *V, *F, *RCT, *JVS;
+
+/* Check for the right number and size of input arguments */
+ if ( nrhs != 3 ) {
+   mexErrMsgTxt("KPP_ROOT_Jac_SP requires 3 input vectors: V(KPP_NVAR), F(KPP_NFIX), RCT(KPP_NREACT)");
+ }
+ mrows =  mxGetM(prhs[0]); mcols = mxGetN(prhs[0]);
+ if ( ( mrows != KPP_NVAR )||( mcols != 1 ) ) {
+   mexPrintf("First KPP_ROOT_Jac_SP input argument is of size V(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("First KPP_ROOT_Jac_SP input argument should be a column vector V(KPP_NVAR,1)");
+ }
+ mrows =  mxGetM(prhs[1]); mcols = mxGetN(prhs[1]);
+ if ( ( mrows != KPP_NFIX )||( mcols != 1 ) ) {
+   mexPrintf("Second KPP_ROOT_Jac_SP input argument is of size F(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("Second KPP_ROOT_Jac_SP input argument should be a column vector F(KPP_NFIX,1)");
+ }
+ mrows =  mxGetM(prhs[2]); mcols = mxGetN(prhs[2]);
+ if ( (  mrows != KPP_NREACT )||( mcols != 1 ) ) {
+   mexPrintf("Third KPP_ROOT_Jac_SP input argument is of size RCT(%d,%d).",  
+               mrows, mcols);
+   mexErrMsgTxt("Third KPP_ROOT_Jac_SP input argument should be a column vector RCT(KPP_NREACT,1)");
+ }
+ 
+/* Check for the right number of output arguments */
+ if ( nlhs != 1 ) {
+   mexErrMsgTxt("KPP_ROOT_Jac_SP requires 1 output column vector: JVS(KPP_LU_NONZERO)");
+ }
+
+
+ V   = mxGetPr(prhs[0]);
+ F   = mxGetPr(prhs[1]);
+ RCT = mxGetPr(prhs[2]);
+
+ plhs[0] = mxCreateDoubleMatrix(KPP_LU_NONZERO,1,mxREAL);
+ JVS = mxGetPr(plhs[0]);
+
+ Jac_SP( V, F, RCT, JVS );
+
+}
